{% extends "milkyway/base.html" %}
{% load staticfiles %}
            {% block nav_menu %}
                <li><a href="{% url 'buy'%}">Buy</a></li>
                <li><a href="{% url 'sell' %}">Sell/Rent</a></li>
                <!--li><a href="properties.html">Properties</a></li-->
                <li class="cta" ><a href="#">Engineering Solutions</a></li>
                <!--li class="call"><a href="tel://123456789"><i class="icon-phone"></i> +1 123 456 789</a></li-->
                <li class="cta"><a href="{% url 'contact_us'%}">Contact us</a></li>
            {% endblock %}

{% block main_content %}

<div class="fh5co-page-title" style="background-image: url({% static 'images/slide_6.jpg' %});">
        <div class="overlay"></div>
        <div class="container">
                <div class="row">
                        <div class="col-md-12 animate-box">
                                <h1>Property in <span class="colored">detail</span></h1>
                        </div>
                </div>
        </div>
</div>

<div class="fh5co-contact animate-box">
        <div class="container">
                <div class="row">
                        <div class="col-md-4">
                                <h3 class="text-info">Owner Info.</h3>
                                <ul class="contact-info">
        <li>
        <figure>
            <img src="{{prop.owner.img.imgfile.url}}" alt="Free Website Templates FreeHTML5.co" class="img-responsive">
        </figure>
        </li>
        <li><h4 class="text-primary">{{prop.owner.name}}</h4></li>
        <li><i class="icon-map"></i> {{prop.owner.address}}</li>
        <li><i class="icon-phone"></i>+977 {{prop.owner.phone}}</li>
        <li><i class="icon-envelope"></i>{{prop.owner.email}}</li>

                                </ul>

    <div id ="search" class="fh5co-contact animate-box">

            <form id="search-form" method ="get" action="{% url 'custom_search'%}">

                        <div class="form-group">
                        <input class="form-control" name="q" style="background: rgba(0, 0, 0, 0.15); max-width:80%; margin:25px 10%;" type="text" id="q_id" name="q" placeholder="Search With <Location>"  autocomplete="off"/>
                    </div>
                <select class="dropdown" name="prop_type" id="id_prop_type" style="margin:5px 10%; width:80%;">
                    <option selected="selected" value="all">Select Property Type</option>
                    <option value="land">Land</option>
                    <option value="building">Building</option>
                    <option value="room">Flat</option>
                </select>
                        <div class="form-group">
                        <a href="javascript:void(0)" onclick="simple_search()" />
                        <input type="button" id="submit" style="margin:5px 10%; width:80%;" class="btn btn-search btn-info" name="submit_search" value="Search"/>
                        </div>
                        <div class="form-group">
                        <a href="javascript:void(0)" onclick="map_search()" />
                        <input type="button" id="submit" style="margin:5px 10%; width:80%;" class="btn btn-search btn-warning" name="submit_search" value="Map Search"/>
                        </div>


</div>
    </div>



    <div class="col-md-7 col-md-push-1 col-sm-12 col-sm-push-0 col-xs-12 col-xs-push-0">
    <div class="item-block animate-box" data-animate-effect="fadeIn">
                                <div class="fh5co-property">
                                        <figure>
                                                <img src="{{prop.img.imgfile.url}}" alt="Img" class="img-responsive">
                                                <span  class="tag">For Sale</span>
        <span class="price-tag"><strong>{{prop.price}}<strong>/Aana</span>
                                        </figure>
                                        <div class="fh5co-property-innter">
                                                <h3 class="text-muted">{{prop.title}} at {{prop.location}}</h3>
                                                <ul class="price-status">        <!--features-->
                {% for x in prop.features_set.all %}
                <li>
                                <span class="price">{{x.title}}<strong>{{x.detail}}</strong></span>
                </li>
                {% endfor %}
                        </ul>
                        <p>{{prop.description}}</p>
                </div>
                <p class="fh5co-property-specification">
                        <span><strong>{{prop.area}}</strong> Aana</span>  <span><strong>3</strong> Beds</span>  <span><strong>3.5</strong> Baths</span>  <span><strong>2</strong> Garages</span>
                </p>

        <div id="map" ></div>
                                </div>
                        </div>

                        </div>
                </div>
        </div>
</div>

{% endblock %}

{% block scripts %}
    <script>

    function simple_search() {
        var search_data = $('#search-form').serialize();
        var root="http://localhost:8000/"
        window.location = root+"custom_search?"+search_data;
    }

    function map_search() {
        var search_data = $('#search-form').serialize();
        var root="http://localhost:8000/"
        window.location = root+"mapsearch?"+search_data;
    }

var google;

function init() {
    // Basic options for a simple Google Map
    // For more options see: https://developers.google.com/maps/documentation/javascript/reference#MapOptions
    // var myLatlng = new google.maps.LatLng(40.71751, -73.990922)° N, ;
    var myLatlng = new google.maps.LatLng({{lat}},{{lng}});
    // 39.399872
    // -8.224454

    var mapOptions = {
        // How zoomed in you want the map to start at (always required)
        zoom:12,

        // The latitude and longitude to center the map (always required)
        center: myLatlng,

        // How you would like to style the map.
        scrollwheel: false,
        styles: [{"featureType":"administrative.land_parcel","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"landscape.man_made","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"poi","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"road","elementType":"labels","stylers":[{"visibility":"simplified"},{"lightness":20}]},{"featureType":"road.highway","elementType":"geometry","stylers":[{"hue":"#f49935"}]},{"featureType":"road.highway","elementType":"labels","stylers":[{"visibility":"simplified"}]},{"featureType":"road.arterial","elementType":"geometry","stylers":[{"hue":"#fad959"}]},{"featureType":"road.arterial","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"road.local","elementType":"geometry","stylers":[{"visibility":"simplified"}]},{"featureType":"road.local","elementType":"labels","stylers":[{"visibility":"simplified"}]},{"featureType":"transit","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"water","elementType":"all","stylers":[{"hue":"#a1cdfc"},{"saturation":30},{"lightness":49}]}]
    };



    // Get the HTML DOM element that will contain your map
    // We are using a div with id="map" seen below in the <body>
    var mapElement = document.getElementById('map');

    // Create the Google Map using out element and options defined above
    var map = new google.maps.Map(mapElement, mapOptions);

    var addresses = ['Kathmandu'];

    for (var x = 0; x < addresses.length; x++) {
        $.getJSON('http://maps.googleapis.com/maps/api/geocode/json?address='+addresses[x]+'&sensor=false', null, function (data) {
            var p = data.results[0].geometry.location;
            var latlng = new google.maps.LatLng({{prop.position.lat}}, {{prop.position.lng}});
            new google.maps.Marker({
                position: latlng,
                map: map,
                icon: 'http://localhost:8000/static/images/homo.png'
            });

        });
    }

}
google.maps.event.addDomListener(window, 'load', init);
        </script>

    <script async defer
        src="https://maps.googleapis.com/maps/api/js?key=AIzaSyA5hoIozQlhqeLzU0w9ksjnS7wj3k6ExNU&callback=init">
    </script>
{% endblock %}
